curl --request POST \
--url https://api.kajabi.com/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "<string>",
"attributes": {
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"business_number": "<string>",
"subscribed": true,
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_city": "<string>",
"address_state": "<string>",
"address_country": "<string>",
"external_user_id": "<string>",
"address_zip": "<string>",
"custom_1": "<string>",
"custom_2": "<string>",
"custom_3": "<string>"
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
}
'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"business_number": "<string>",
"subscribed": true,
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_city": "<string>",
"address_state": "<string>",
"address_country": "<string>",
"external_user_id": "<string>",
"address_zip": "<string>",
"custom_1": "<string>",
"custom_2": "<string>",
"custom_3": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"customer": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"offers": {
"data": [
{
"id": "<string>",
"type": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"tags": {
"data": [
{
"id": "<string>",
"type": "<string>"
}
]
}
},
"links": {
"customer": "<string>"
}
},
"links": {
"self": "<string>",
"current": "<string>"
}
}Create a contact for a site.
external_user_id attribute.Request body must include a site relationship.
Example request body:
{
"data": {
"type": "contacts",
"attributes": {
"name": "John Doe",
"email": "john.doe@example.com"
},
"relationships": {
"site": {
"data": {
"type": "sites",
"id": "123"
}
}
}
}
}
Response will include the newly created contact resource.
{
"data": {
"id": "456",
"type": "contacts",
"attributes": {
"name": "John Doe",
"email": "john.doe@example.com",
"address_line_1": null,
"address_line_2": null,
"address_city": null,
"address_country": null,
"address_state": null,
"address_zip": null,
"phone_number": null,
"business_number": null,
"subscribed": false,
"external_user_id": null,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
},
"relationships": {
"site": {
"data": {
"id": "123",
"type": "sites"
}
}
}
}
}
curl --request POST \
--url https://api.kajabi.com/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "<string>",
"attributes": {
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"business_number": "<string>",
"subscribed": true,
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_city": "<string>",
"address_state": "<string>",
"address_country": "<string>",
"external_user_id": "<string>",
"address_zip": "<string>",
"custom_1": "<string>",
"custom_2": "<string>",
"custom_3": "<string>"
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
}
'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"business_number": "<string>",
"subscribed": true,
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_city": "<string>",
"address_state": "<string>",
"address_country": "<string>",
"external_user_id": "<string>",
"address_zip": "<string>",
"custom_1": "<string>",
"custom_2": "<string>",
"custom_3": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"customer": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"offers": {
"data": [
{
"id": "<string>",
"type": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"tags": {
"data": [
{
"id": "<string>",
"type": "<string>"
}
]
}
},
"links": {
"customer": "<string>"
}
},
"links": {
"self": "<string>",
"current": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
Was this page helpful?